Package org.codehaus.groovy.transform.tailrec

# Class GotoRecurHereException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.codehaus.groovy.transform.tailrec.GotoRecurHereException

All Implemented Interfaces:
  `Serializable`

public class GotoRecurHereException extends Exception
Exception will be thrown by recursive calls in closures and caught in while loop to continue to LOOP_LABEL

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GotoRecurHereException()`

- ## Method Summary

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### GotoRecurHereException

    public GotoRecurHereException()